Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.taglib
Class GetParentGroupNamesTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.taglib.UserManagementTag
              com.bea.p13n.usermgmt.taglib.GetParentGroupNamesTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag, UserManagementTagConstants

public class GetParentGroupNamesTag
extends UserManagementTag

Corresponds to `<ugm:getParentGroupName>`.

The `<ugm:getParentGroupNames>` tag retrieves the names of the parents of the group associated with the provided groupName. This reflects the group hierarchy information as set up from the Group administration and Realm Configuration administration tools. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
atnProvider | no | String | The name of the authentication provider containing the group. The default provider will be used if not specified. Example: "`<%=atnProvider%>`"
groupName | yes | String | The name of the group whose parent group name is sought. Example: "`<%=groupName%>`"
id | yes | String | A variable name to which the to which the names (as String []) of the parents are available for the duration of the page's scope. Example: "parentGroupNames"

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetParentGroupNamesTag()`

Method Summary
`int` | `doStartTag()` Go through the AtnManagerProxy to search for the names of the given group's parents.
`String` | `getAtnProvider()` Get the name of the authentication provider
`String` | `getGroupName()` Get the name of the group to query
`void` | `release()` Reset the tag attributes
`void` | `setAtnProvider(String atnProvider)` Set the name of the authentication provider
`void` | `setGroupName(String groupName)` Set the name of the group to query

Methods inherited from class com.bea.p13n.usermgmt.taglib.UserManagementTag
`getAtnManagerProxy`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetParentGroupNamesTag

    public GetParentGroupNamesTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Go through the AtnManagerProxy to search for the names of the given group's parents.

  Throws:
    `JspException`

### getAtnProvider

    public String getAtnProvider()

  Get the name of the authentication provider

### getGroupName

    public String getGroupName()

  Get the name of the group to query

### release

    public void release()

  Reset the tag attributes

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `UserManagementTag`

### setAtnProvider

    public void setAtnProvider(String atnProvider)

  Set the name of the authentication provider

### setGroupName

    public void setGroupName(String groupName)

  Set the name of the group to query

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved